๐Ÿ† Omniagent API Hackathon ยท May 18 โ€“ June 15 โ€” Register now and start building

/public/sip-connections

GET
/public/sip-connections

Authorization

ApiKeyAuth
X-Api-Key<token>

API key for authentication. Passed as a header on every request.

In: header

Header Parameters

X-API-Version?string

Response Body

curl -X GET "https://companion-api.napster.com/public/sip-connections"
[
  {
    "id": "string",
    "organizationId": "string",
    "projectId": "string",
    "agentId": "string",
    "name": "string",
    "settings": {
      "server": "string",
      "port": 0,
      "domain": "string",
      "username": "string",
      "transport": "string",
      "callerId": "string"
    },
    "status": {
      "lifecycleStatus": "string",
      "sipStatus": "string",
      "message": "string",
      "lastRefreshed": 0
    },
    "created": 0
  }
]